#pragma once

class CListCtrlItemWalk
{
public:
	// X-Ray :: ModelessDialogs :: Start
	/*
	CListCtrlItemWalk(CListCtrl* pListCtrl) { m_pListCtrl = pListCtrl; }
	*/
	CListCtrlItemWalk(CListCtrl* pListCtrl = NULL) { m_pListCtrl = pListCtrl; }
	// X-Ray :: ModelessDialogs :: End

	virtual CObject* GetNextSelectableItem();
	virtual CObject* GetPrevSelectableItem();

	CListCtrl* GetListCtrl() const { return m_pListCtrl; }

protected:
	CListCtrl* m_pListCtrl;
};
